JZlib
Date: 2015-09-12

com.jcraft.jzlib

## Class JZlib

- java.lang.Object
- - com.jcraft.jzlib.JZlib

-     public final class JZlib
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JZlib.WrapperType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEF_WBITS`
    `static int` | `MAX_WBITS`
    `static JZlib.WrapperType` | `W_ANY`
    `static JZlib.WrapperType` | `W_GZIP`
    `static JZlib.WrapperType` | `W_NONE`
    `static JZlib.WrapperType` | `W_ZLIB`
    `static byte` | `Z_ASCII`
    `static int` | `Z_BEST_COMPRESSION`
    `static int` | `Z_BEST_SPEED`
    `static byte` | `Z_BINARY`
    `static int` | `Z_BUF_ERROR`
    `static int` | `Z_DATA_ERROR`
    `static int` | `Z_DEFAULT_COMPRESSION`
    `static int` | `Z_DEFAULT_STRATEGY`
    `static int` | `Z_ERRNO`
    `static int` | `Z_FILTERED`
    `static int` | `Z_FINISH`
    `static int` | `Z_FULL_FLUSH`
    `static int` | `Z_HUFFMAN_ONLY`
    `static int` | `Z_MEM_ERROR`
    `static int` | `Z_NEED_DICT`
    `static int` | `Z_NO_COMPRESSION`
    `static int` | `Z_NO_FLUSH`
    `static int` | `Z_OK`
    `static int` | `Z_PARTIAL_FLUSH`
    `static int` | `Z_STREAM_END`
    `static int` | `Z_STREAM_ERROR`
    `static int` | `Z_SYNC_FLUSH`
    `static byte` | `Z_UNKNOWN`
    `static int` | `Z_VERSION_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JZlib()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `adler32_combine(long adler1, long adler2, long len2)`
    `static long` | `crc32_combine(long crc1, long crc2, long len2)`
    `static java.lang.String` | `version()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_WBITS

          public static final int MAX_WBITS

      See Also:
        Constant Field Values

    - #### DEF_WBITS

          public static final int DEF_WBITS

      See Also:
        Constant Field Values

    - #### W_NONE

          public static final JZlib.WrapperType W_NONE

    - #### W_ZLIB

          public static final JZlib.WrapperType W_ZLIB

    - #### W_GZIP

          public static final JZlib.WrapperType W_GZIP

    - #### W_ANY

          public static final JZlib.WrapperType W_ANY

    - #### Z_NO_COMPRESSION

          public static final int Z_NO_COMPRESSION

      See Also:
        Constant Field Values

    - #### Z_BEST_SPEED

          public static final int Z_BEST_SPEED

      See Also:
        Constant Field Values

    - #### Z_BEST_COMPRESSION

          public static final int Z_BEST_COMPRESSION

      See Also:
        Constant Field Values

    - #### Z_DEFAULT_COMPRESSION

          public static final int Z_DEFAULT_COMPRESSION

      See Also:
        Constant Field Values

    - #### Z_FILTERED

          public static final int Z_FILTERED

      See Also:
        Constant Field Values

    - #### Z_HUFFMAN_ONLY

          public static final int Z_HUFFMAN_ONLY

      See Also:
        Constant Field Values

    - #### Z_DEFAULT_STRATEGY

          public static final int Z_DEFAULT_STRATEGY

      See Also:
        Constant Field Values

    - #### Z_NO_FLUSH

          public static final int Z_NO_FLUSH

      See Also:
        Constant Field Values

    - #### Z_PARTIAL_FLUSH

          public static final int Z_PARTIAL_FLUSH

      See Also:
        Constant Field Values

    - #### Z_SYNC_FLUSH

          public static final int Z_SYNC_FLUSH

      See Also:
        Constant Field Values

    - #### Z_FULL_FLUSH

          public static final int Z_FULL_FLUSH

      See Also:
        Constant Field Values

    - #### Z_FINISH

          public static final int Z_FINISH

      See Also:
        Constant Field Values

    - #### Z_OK

          public static final int Z_OK

      See Also:
        Constant Field Values

    - #### Z_STREAM_END

          public static final int Z_STREAM_END

      See Also:
        Constant Field Values

    - #### Z_NEED_DICT

          public static final int Z_NEED_DICT

      See Also:
        Constant Field Values

    - #### Z_ERRNO

          public static final int Z_ERRNO

      See Also:
        Constant Field Values

    - #### Z_STREAM_ERROR

          public static final int Z_STREAM_ERROR

      See Also:
        Constant Field Values

    - #### Z_DATA_ERROR

          public static final int Z_DATA_ERROR

      See Also:
        Constant Field Values

    - #### Z_MEM_ERROR

          public static final int Z_MEM_ERROR

      See Also:
        Constant Field Values

    - #### Z_BUF_ERROR

          public static final int Z_BUF_ERROR

      See Also:
        Constant Field Values

    - #### Z_VERSION_ERROR

          public static final int Z_VERSION_ERROR

      See Also:
        Constant Field Values

    - #### Z_BINARY

          public static final byte Z_BINARY

      See Also:
        Constant Field Values

    - #### Z_ASCII

          public static final byte Z_ASCII

      See Also:
        Constant Field Values

    - #### Z_UNKNOWN

          public static final byte Z_UNKNOWN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JZlib

          public JZlib()

  - ### Method Detail

    - #### version

          public static java.lang.String version()

    - #### adler32_combine

          public static long adler32_combine(long adler1,
                             long adler2,
                             long len2)

    - #### crc32_combine

          public static long crc32_combine(long crc1,
                           long crc2,
                           long len2)